Updating G3 to 3.50.065

TIMELORD

New member
I have not used Realflight G3 for many years so i installed it on my latest Pc and remembered my registration details which was a success. I have tried updating to the list of specific versions and to the one shown in the title but get an error message when trying to do that.
The error says the following...

KEError 21010:Version check failed:server response is missing required information.

Anyone know the fix or are the updates no longer available.
 

LegacyRFUser

New member
Is anyone else having this issue? I need to update from 3.50.044, but need to go through account recovery to access updates and want to know if it's even worth going that route.
 

Ryan Douglas

Administrator
Staff member
As far as I'm aware this was an isolated incident. Online updates should be working normally for G3.
 
Top